Name: libclocale
Version: 20240107
Release: 1
Summary: Library to support cross-platform C locale functions
Group: System Environment/Libraries
License: LGPL-3.0-or-later
Source: %{name}-%{version}.tar.gz
URL: https://github.com/libyal/libclocale
 
BuildRequires: gcc 

%description -n libclocale
Library to support cross-platform C locale functions

%package -n libclocale-static
Summary: Library to support cross-platform C locale functions
Group: Development/Libraries
Requires: libclocale = %{version}-%{release}

%description -n libclocale-static
Static library version of libclocale.

%package -n libclocale-devel
Summary: Header files and libraries for developing applications for libclocale
Group: Development/Libraries
Requires: libclocale = %{version}-%{release}

%description -n libclocale-devel
Header files and libraries for developing applications for libclocale.

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libclocale
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so.*

%files -n libclocale-static
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.a

%files -n libclocale-devel
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so
%{_libdir}/pkgconfig/libclocale.pc
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Sun Jan  7 2024 Joachim Metz <joachim.metz@gmail.com> 20240107-1
- Auto-generated

